Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Se encontró más de un archivo con la ruta independiente del sistema 'META-INF / LICENSE'

Cuando construyo mi aplicación, tengo error de seguimiento.

Error: Error de ejecución para la tarea ': app: transformResourcesWithMergeJavaResForDebug'. Se encontró más de un archivo con la ruta independiente del sistema 'META-INF / LICENSE'

Este es mi archivo build.gradle

apply plugin: 'com.android.application' apply plugin: 'kotlin-android' android { compileSdkVersion 25 buildToolsVersion "25.0.2" defaultConfig { applicationId "cn.sz.cyrus.kotlintest" minSdkVersion 14 targetSdkVersion 25 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" javaCompileOptions{ annotationProcessorOptions{ includeCompileClasspath = true } } multiDexEnabled true } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } packagingOptions { /* exclude 'META-INF/DEPENDENCIES' exclude 'META-INF/NOTICE' exclude 'META-INF/LICENSE' exclude 'META-INF/LICENSE.txt' exclude 'META-INF/NOTICE.txt'*/ } } dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', { exclude group: 'com.android.support', module: 'support-annotations' }) compile "org.jetbrains.kotlin:kotlin-stdlib-jre7:$kotlin_version" compile "org.jetbrains.kotlin:kotlin-reflect:$kotlin_version" compile 'com.android.support:appcompat-v7:25.3.1' testCompile 'junit:junit:4.12' compile 'com.android.support:design:25.3.1' compile 'com.android.support.constraint:constraint-layout:1.0.2' debugCompile 'com.squareup.leakcanary:leakcanary-android:1.5.1' releaseCompile 'com.squareup.leakcanary:leakcanary-android-no-op:1.5.1' testCompile 'com.squareup.leakcanary:leakcanary-android-no-op:1.5.1' compile 'com.github.GrenderG:Toasty:1.2.5' compile 'com.orhanobut:logger:1.15' compile 'io.reactivex.rxjava2:rxandroid:2.0.1' compile 'com.umeng.analytics:analytics:latest.integration' compile 'ai.api:libai:1.4.8' compile 'ai.api:sdk:2.0.5@aar' // api.ai SDK dependencies compile 'com.google.code.gson:gson:2.8.0' compile 'commons-io:commons-io:2.4' compile 'com.android.support:multidex:1.0.1' } 

Cuando agrego esos códigos a mi archivo gradle.

  packagingOptions { exclude 'META-INF/DEPENDENCIES' exclude 'META-INF/NOTICE' exclude 'META-INF/LICENSE' exclude 'META-INF/LICENSE.txt' exclude 'META-INF/NOTICE.txt' } 

Este error se resolvería, pero otro problema ocurrirá. Me gusta esto

 java.lang.NoClassDefFoundError: com.squareup.leakcanary.internal.HeapAnalyzerService at com.squareup.leakcanary.LeakCanary.isInAnalyzerProcess(LeakCanary.java:145) at cn.sz.cyrus.wemz.TestApplication.onCreate(TestApplication.kt:32) 

¿Quién tiene ideas para esta pregunta? Gracias por la primera.

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.